{pkgs, stdenv, lib, ...}:

stdenv.mkDerivation {
	pname = "anarchists-stencil";
	version = "1.000";

	src = pkgs.fetchurl {
		url = "https://www.dimka.com/fonts/anarchists-stencil/anarchists-stencil.woff2";
		hash = "sha256-gkXQcarvnoEzz/8JjKnZI2ck6gzg9U2N9bbZfODKD+o=";
	};

	dontUnpack = true;
	installPhase = ''
		install -D -m 444 $src -t $out/share/fonts
	'';

	meta = {
		description = "Anarchists Stencil";
		homepage = "https://www.myfonts.com/collections/anarchists-stencil-font-dimka-fonts";
		license = lib.licenses.unfree;
		maintainers = [];
	};
}