{pkgs, lib, ...}: pkgs.rustPlatform.buildRustPackage rec {
	pname = "dw";
	version = "0.2.0";

	# Gitea downloads failing as of right now
	# src = pkgs.fetchFromGitea {
	# 	domain = "fem.mint.lgbt";
	# 	owner = "Emi";
	# 	repo = "password-script";
	# 	rev = "v0.2.0";
	# 	sha256 = "0w/MOHG7oe1TZEiFmSOk+o34uxArF2DCjns7Tb6l9sw=";
	# };

	src = pkgs.fetchgit {
		url = "https://fem.mint.lgbt/Emi/password-script.git";
		rev = "v0.2.0";
		sha256 = "xlp6nV/GbuNCGDnpyhplSGsioG3RrVD4JTauiD+UT+g=";
	};

	cargoHash = "sha256-iWiNV/YMKmyMC9tawkW3hqEtVZZUhiGFpCZ66vBUHv8=";

	meta = {
		description = "A simple diceware script, with defaults picked by Emi";
		homepage = "https://fem.mint.lgbt/Emi/password-script";
		license = lib.licenses.cc-by-nc-40;
		maintainers = [{
			email = "ember@corviform.gay";
			github = "Alch-Emi";
			githubId = 38897201;
			name = "Ember Hearth";
		}];
	};
}